%if 0%{?fedora}
%global with_python3 1
%endif

%global modname pyramid
%global sum The Pyramid web application framework, a Pylons project
%global desc Pyramid is a small, fast, down-to-earth, open source Python web development\
framework. It makes real-world web application development and deployment more\
fun, more predictable, and more productive.


Name:           python-%{modname}
Version:        1.9.1
Release:        2%{?dist}
Summary:        %{sum}

Group:          Development/Libraries
License:        BSD
URL:            https://trypyramid.com/
Source0:        https://github.com/Pylons/pyramid/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-chameleon >= 1.2.3
BuildRequires:  python-mako >= 0.3.6
BuildRequires:  python-repoze-lru
BuildRequires:  python-venusian >= 1.0
BuildRequires:  python-webtest
BuildRequires:  python-zope-deprecation >= 3.5.0
BuildRequires:  python2-devel
BuildRequires:  python2-docutils
BuildRequires:  python2-hupper
BuildRequires:  python2-paste-deploy >= 1.5.0
BuildRequires:  python2-plaster
BuildRequires:  python2-plaster-pastedeploy
BuildRequires:  python2-setuptools
BuildRequires:  python2-sphinx
BuildRequires:  python2-translationstring
BuildRequires:  python2-zope-component >= 3.6.0
BuildRequires:  python2-zope-configuration
BuildRequires:  python2-zope-interface >= 3.8.0

%if 0%{?fedora}
BuildRequires:  python-webob >= 1.2
%else
BuildRequires:  python-webob1.4
%endif


%if 0%{?with_python3}
BuildRequires:  python3-chameleon >= 1.2.3
BuildRequires:  python3-devel
BuildRequires:  python3-docutils
BuildRequires:  python3-hupper
BuildRequires:  python3-mako
BuildRequires:  python3-paste-deploy
BuildRequires:  python3-plaster
BuildRequires:  python3-plaster-pastedeploy
BuildRequires:  python3-repoze-lru
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-translationstring
BuildRequires:  python3-venusian >= 1.0
BuildRequires:  python3-webtest
BuildRequires:  python3-zope-component >= 3.6.0
BuildRequires:  python3-zope-configuration
BuildRequires:  python3-zope-deprecation >= 3.5.0
BuildRequires:  python3-zope-interface

%if 0%{?fedora}
BuildRequires:  python3-webob >= 1.2
%else
BuildRequires:  python3-webob1.2
%endif
%endif

%description
%{desc}


%package -n python2-pyramid
Summary:        %{sum}
Group:          Development/Libraries

Requires:       python-chameleon >= 1.2.3
Requires:       python-mako >= 0.3.6
Requires:       python-repoze-lru
Requires:       python-venusian >= 1.0
Requires:       python-zope-deprecation >= 3.5.0
Requires:       python2-hupper
Requires:       python2-paste-deploy >= 1.5.0
Requires:       python2-plaster
Requires:       python2-plaster-pastedeploy
Requires:       python2-setuptools
Requires:       python2-translationstring
Requires:       python2-zope-component >= 3.6.0
Requires:       python2-zope-configuration
Requires:       python2-zope-interface >= 3.8.0

%if 0%{?fedora}
Requires:       python-webob >= 1.2
%else
Requires:       python-webob1.4
%endif

%{?python_provide:%python_provide python2-pyramid}


%description -n python2-pyramid
%{desc}


%if 0%{?with_python3}
%package -n python3-pyramid
Summary:        %{sum}
Group:          Development/Libraries

Requires:       python3-chameleon >= 1.2.3
Requires:       python3-hupper
Requires:       python3-mako >= 0.3.6
Requires:       python3-paste-deploy >= 1.5.0
Requires:       python3-plaster
Requires:       python3-plaster-pastedeploy
Requires:       python3-repoze-lru
Requires:       python3-setuptools
Requires:       python3-translationstring
Requires:       python3-venusian >= 1.0
Requires:       python3-zope-component >= 3.6.0
Requires:       python3-zope-configuration
Requires:       python3-zope-deprecation >= 3.5.0
Requires:       python3-zope-interface >= 3.8.0

%if 0%{?fedora} && 0%{?fedora} >= 19
Requires:       python3-webob >= 1.2
%else
Requires:       python3-webob1.2
%endif

%{?python_provide:%python_provide python3-pyramid}


%description -n python3-pyramid
%{desc}
%endif


%prep
%autosetup -n pyramid-%{version} -p1

# Remove bundled egg info
rm -rf %{modname}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%{__python} setup.py build

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
cp -r pyramid/scaffolds/alchemy %{buildroot}/%{python3_sitelib}/pyramid/scaffolds/.
cp -r pyramid/scaffolds/starter %{buildroot}/%{python3_sitelib}/pyramid/scaffolds/.
cp -r pyramid/scaffolds/zodb %{buildroot}/%{python3_sitelib}/pyramid/scaffolds/.

# Create the Python 3 executables.
for e in pcreate pserve prequest proutes pshell ptweens pviews pdistreport; do
    mv %{buildroot}/%{_bindir}/$e %{buildroot}/%{_bindir}/$e-%{python3_version};
    ln -s %{_bindir}/$e-%{python3_version} %{buildroot}/%{_bindir}/$e-3;
done;

popd
%endif

%{__python} setup.py install -O1 --skip-build --root %{buildroot}
cp -r pyramid/scaffolds/alchemy %{buildroot}/%{python_sitelib}/pyramid/scaffolds/.
cp -r pyramid/scaffolds/starter %{buildroot}/%{python_sitelib}/pyramid/scaffolds/.
cp -r pyramid/scaffolds/zodb %{buildroot}/%{python_sitelib}/pyramid/scaffolds/.

# Create the Python 2 executables.
for e in pcreate pserve prequest proutes pshell ptweens pviews pdistreport; do
    mv %{buildroot}/%{_bindir}/$e %{buildroot}/%{_bindir}/$e-%{python2_version};
    ln -s %{_bindir}/$e-%{python2_version} %{buildroot}/%{_bindir}/$e-2;
    ln -s %{_bindir}/$e-%{python2_version} %{buildroot}/%{_bindir}/$e
done;


%check
%if 0%{?with_python3}
pushd %{py3dir}

%{__python3} setup.py test
popd
%endif

%if 0%{?rhel} && 0%{?rhel} <= 6
# Tests on el6 fail for unknown reasons.
%else
%{__python} setup.py test
%endif

%files -n python2-pyramid
%license LICENSE.txt
%doc README.rst
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}*.egg-info
%{_bindir}/pcreate
%{_bindir}/pcreate-%{python2_version}
%{_bindir}/pcreate-2
%{_bindir}/pdistreport
%{_bindir}/pdistreport-%{python2_version}
%{_bindir}/pdistreport-2
%{_bindir}/prequest
%{_bindir}/prequest-%{python2_version}
%{_bindir}/prequest-2
%{_bindir}/proutes
%{_bindir}/proutes-%{python2_version}
%{_bindir}/proutes-2
%{_bindir}/pserve
%{_bindir}/pserve-%{python2_version}
%{_bindir}/pserve-2
%{_bindir}/pshell
%{_bindir}/pshell-%{python2_version}
%{_bindir}/pshell-2
%{_bindir}/ptweens
%{_bindir}/ptweens-%{python2_version}
%{_bindir}/ptweens-2
%{_bindir}/pviews
%{_bindir}/pviews-%{python2_version}
%{_bindir}/pviews-2

%if 0%{?with_python3}
%files -n python3-pyramid
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}*.egg-info
%{_bindir}/pcreate-%{python3_version}
%{_bindir}/pcreate-3
%{_bindir}/pdistreport-%{python3_version}
%{_bindir}/pdistreport-3
%{_bindir}/prequest-%{python3_version}
%{_bindir}/prequest-3
%{_bindir}/proutes-%{python3_version}
%{_bindir}/proutes-3
%{_bindir}/pserve-%{python3_version}
%{_bindir}/pserve-3
%{_bindir}/pshell-%{python3_version}
%{_bindir}/pshell-3
%{_bindir}/ptweens-%{python3_version}
%{_bindir}/ptweens-3
%{_bindir}/pviews-%{python3_version}
%{_bindir}/pviews-3
%endif

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Sep 16 2017 Kevin Fenzi <kevin@scrye.com> - 1.9.1-1
- Update to 1.9.1. Fixes bug #1471097

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 03 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.9-1
- Update to 1.9 (#1465428).
- https://docs.pylonsproject.org/projects/pyramid/en/1.9-branch/changes.html
- Remove deprecated python3-* executables.
- Refactor the symlink code to use a for loop for simplicity.

* Sat Jul 01 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.8.4-2
- Use python2- versions of dependencies, where available.

* Sat Jul 01 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.8.4-1
- Update to 1.8.4.
- https://docs.pylonsproject.org/projects/pyramid/en/1.8-branch/changes.html#id1
- Mark the LICENSE.txt with the license macro.
- Spice up the Source0 URL so it puts the name in the source tarball.
- Use the correct URL.
- Provide a python2-pyramid package.
- Provide the correct executable names for the python2- and python3- subpackages.
- Leave old python3- executables for the time being, even though they are not the correct names.
- Sort dependencies lexigraphically.

* Sat Mar 25 2017 Kevin Fenzi <kevin@scrye.com> - 1.8.3-1
- Update to 1.8.3. Fixes bug #1431609

* Fri Mar 10 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.8.2-2
- Depend on python{2,3}-hupper (#1431289).

* Tue Feb 21 2017 Kevin Fenzi <kevin@scrye.com> - 1.8.2-1
- Update to 1.8.2. Fixes bug #1413949

* Sun Feb 19 2017 Kevin Fenzi <kevin@scrye.com> - 1.8.1-1
- Update to 1.8.1. Fixes bug #1413949

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.5.6-6
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 15 2015 Ralph Bean <rbean@redhat.com> - 1.5.6-1
- new version

* Wed Apr 15 2015 Ralph Bean <rbean@redhat.com> - 1.5.1-2
- Upstream epel7 to 1.5.1.

* Fri Nov 07 2014 Ralph Bean <rbean@redhat.com> - 1.4.6-1
- Upstream 1.4.6 for epel7.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 29 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.4-12
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Fri Dec 06 2013 Pierre-Yves Chibon <pingou@pingoured>fr - 1.4-11
- Change BR from python-setuptools-devel to python-setuptools
  See https://fedoraproject.org/wiki/Changes/Remove_Python-setuptools-devel

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 16 2013 Ralph Bean <rbean@redhat.com> - 1.4-9
- Make python-webob dependency contingent on f19.

* Tue Apr 16 2013 Ralph Bean <rbean@redhat.com> - 1.4-8
- Explicitly copy scaffolds into buildroot.
- More explicit file ownership.

* Fri Apr  5 2013 Luke Macken <lmacken@redhat.com> - 1.4-7
- Require python-webob >= 1.2 instead of the python-webob1.2 package

* Wed Feb 27 2013 Ralph Bean <rbean@redhat.com> - 1.4-6
- Reenabled the python3 subpackage.
- Correctly prefixed python3 executables.
- Remove egg-info in prep, not after build.

* Fri Feb 22 2013 Ralph Bean <rbean@redhat.com> - 1.4-5
- Manually disabled python3 subpackage; waiting on deps.
- Loosened constraint on python-webob version.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 16 2013 Ralph Bean <rbean@redhat.com> - 1.4-3
- Packaged python3 subpackage.
- Removed unnecessary Buildroot tag.
- Removed requirement on python-virtualenv.
- Removed requirement on python-paste.

* Mon Dec 31 2012 Ralph Bean <rbean@redhat.com> - 1.4-2
- Add zope.interface to the setuptools hack for el6.
- Add dep on python-unittest2 for el6.
- Add dep on python-ordereddict for el6.
- Remove bundled egg-info
- More specific directory listing in python_sitelib.
- Disable tests for el6.  Unexplained failure.

* Wed Dec 19 2012 Ralph Bean <rbean@redhat.com> - 1.4-1
- Latest upstream.

* Mon Dec 10 2012 Ralph Bean <rbean@redhat.com> - 1.4b3-1
- Latest upstream.  1.4b2-1 was a brownbag release.

* Mon Dec 10 2012 Ralph Bean <rbean@redhat.com> - 1.4b2-1
- Latest upstream.

* Wed Nov 28 2012 Ralph Bean <rbean@redhat.com> - 1.4b1-1
- Latest upstream.
- Removed unnecessary defattr and clean section.
- Re-enabled test suite/check section.
- Removed old patch.
- Depend on and force python-webob1.2
- A bunch of new _bindir tools.

* Wed Oct 10 2012 Tomas Dabasinskas <tomas@redhat.com> - 1.2.7-6
- Changed python-mako requires. 
  For rhel python-mako0.4, else python-mako >= 0.3.6

* Wed Sep 26 2012 Tomas Dabasinskas <tomas@redhat.com> - 1.2.7-5
- Added patch to change install requires from python-paste-script >= 1.7.4
  to python-paste-script >= 1.7.3, python-paste-script is provided by Red Hat
  patch applied if running on rhel
- Added version numbers for required packages
  
* Wed Sep 26 2012 Tomas Dabasinskas <tomas@redhat.com> - 1.2.7-4
- For requires, changed python-webob package to python-webob1.2

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 26 2012 Ross Delinger <rossdylan@csh.rit.edu> - 1.2-1
- Updated to upstream version 1.2.7
- Disabled unit tests because of false negatives, will be renabled for the 1.3.x
  release

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug 18 2011 Luke Macken <lmacken@redhat.com> - 1.1.2-1
- Latest upstream release
- Update our requirements

* Sat Jan  2 2010 Luke Macken <lmacken@redhat.com> - 1.0-1
- Initial package
